import { faCaretRight } from '@fortawesome/free-solid-svg-icons'
import { ComponentStory, ComponentMeta } from '@storybook/react'
import { Icon } from '@yamada-ui/fontawesome'
import { Breadcrumb, BreadcrumbItem, BreadcrumbLink } from '@yamada-ui/react'

export default {
  title: 'Components / Navigation / Breadcrumb',
  component: Breadcrumb,
} as ComponentMeta<typeof Breadcrumb>

export const basic: ComponentStory<typeof Breadcrumb> = () => {
  return (
    <Breadcrumb>
      <BreadcrumbItem>
        <BreadcrumbLink href='/'>サイヤ人編</BreadcrumbLink>
      </BreadcrumbItem>
      <BreadcrumbItem>
        <BreadcrumbLink href='/'>ナメック星編</BreadcrumbLink>
      </BreadcrumbItem>
      <BreadcrumbItem>
        <BreadcrumbLink href='/'>人造人間編</BreadcrumbLink>
      </BreadcrumbItem>
      <BreadcrumbItem isCurrentPage>
        <BreadcrumbLink href='/'>魔人ブウ編</BreadcrumbLink>
      </BreadcrumbItem>
    </Breadcrumb>
  )
}

export const withSeparator: ComponentStory<typeof Breadcrumb> = () => {
  return (
    <Breadcrumb separator='-'>
      <BreadcrumbItem>
        <BreadcrumbLink href='/'>サイヤ人編</BreadcrumbLink>
      </BreadcrumbItem>
      <BreadcrumbItem>
        <BreadcrumbLink href='/'>ナメック星編</BreadcrumbLink>
      </BreadcrumbItem>
      <BreadcrumbItem>
        <BreadcrumbLink href='/'>人造人間編</BreadcrumbLink>
      </BreadcrumbItem>
      <BreadcrumbItem isCurrentPage>
        <BreadcrumbLink href='/'>魔人ブウ編</BreadcrumbLink>
      </BreadcrumbItem>
    </Breadcrumb>
  )
}

export const withCustomSeparator: ComponentStory<typeof Breadcrumb> = () => {
  return (
    <Breadcrumb separator={<Icon icon={faCaretRight} color='gray.300' />}>
      <BreadcrumbItem>
        <BreadcrumbLink href='/'>サイヤ人編</BreadcrumbLink>
      </BreadcrumbItem>
      <BreadcrumbItem>
        <BreadcrumbLink href='/'>ナメック星編</BreadcrumbLink>
      </BreadcrumbItem>
      <BreadcrumbItem>
        <BreadcrumbLink href='/'>人造人間編</BreadcrumbLink>
      </BreadcrumbItem>
      <BreadcrumbItem isCurrentPage>
        <BreadcrumbLink href='/'>魔人ブウ編</BreadcrumbLink>
      </BreadcrumbItem>
    </Breadcrumb>
  )
}
